summaryrefslogtreecommitdiffstats
path: root/ruby
diff options
context:
space:
mode:
author Andrew Clemons2018-04-26 23:44:52 +0200
committer Willy Sudiarto Raharjo2018-04-28 01:40:13 +0200
commit31ed426f625135cff14e6e420d8d7ea06174ddb8 (patch)
treeb6ee2d1221aa88da2e17ee203ce9522d5adad0e1 /ruby
parent9b77e4317691a75538385f5cdfadb3ec576e8d10 (diff)
downloadslackbuilds-31ed426f625135cff14e6e420d8d7ea06174ddb8.tar.gz
ruby/rubygem-ruumba: Added (RuboCop linting for ERB templates).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'ruby')
-rw-r--r--ruby/rubygem-ruumba/README1
-rw-r--r--ruby/rubygem-ruumba/rubygem-ruumba.SlackBuild119
-rw-r--r--ruby/rubygem-ruumba/rubygem-ruumba.info10
-rw-r--r--ruby/rubygem-ruumba/slack-desc19
4 files changed, 149 insertions, 0 deletions
diff --git a/ruby/rubygem-ruumba/README b/ruby/rubygem-ruumba/README
new file mode 100644
index 0000000000..0e7e3dc1af
--- /dev/null
+++ b/ruby/rubygem-ruumba/README
@@ -0,0 +1 @@
+rubygem-ruumba - RuboCop linting for ERB templates.
diff --git a/ruby/rubygem-ruumba/rubygem-ruumba.SlackBuild b/ruby/rubygem-ruumba/rubygem-ruumba.SlackBuild
new file mode 100644
index 0000000000..4827fe91a0
--- /dev/null
+++ b/ruby/rubygem-ruumba/rubygem-ruumba.SlackBuild
@@ -0,0 +1,119 @@
+#!/bin/sh
+
+# Slackware build script for rubygem-ruumba
+
+# Copyright 2018 Andrew Clemons, Wellington New Zealand
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=rubygem-ruumba
+VERSION=${VERSION:-0.1.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=ruumba
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+DESTDIR=$( ruby -r rbconfig -e '
+include RbConfig
+printf("%s/%s/gems/%s\n",
+ CONFIG["libdir"],
+ CONFIG["RUBY_INSTALL_NAME"],
+ CONFIG["ruby_version"]
+ )
+')
+
+gem specification $CWD/$SRCNAM-$VERSION.gem | \
+ ruby -r yaml -r rbconfig -e '
+c = RbConfig::CONFIG
+path = sprintf("%s/%s/gems/%s",
+ c["libdir"],
+ c["RUBY_INSTALL_NAME"],
+ c["ruby_version"])
+sys_gemspecs = Dir.glob(path + "/specifications/**/*.gemspec").map {|g| gs = Gem::Specification.load(g); gs.name }
+obj = Gem::Specification.from_yaml($stdin)
+obj.dependencies.each {|dep|
+ if not(dep.type == :runtime)
+ next
+ end
+ if not(sys_gemspecs.include?(dep.name))
+ $stderr.write("WARNING: #{dep.name} gem not found\n")
+ sleep 0.5
+ end
+
+}'
+
+gem install \
+ --local \
+ --no-update-sources \
+ --ignore-dependencies \
+ --backtrace \
+ --install-dir $PKG/$DESTDIR \
+ --bindir $PKG/usr/bin \
+ $CWD/$SRCNAM-$VERSION.gem
+
+# Numeric.positive? was introduced in Ruby 2.3. Patch so ruumba works with Ruby 2.2.
+find $PKG/$DESTDIR -name analyzer.rb -exec sed -i 's/\.positive?/ > 0/' {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+tar -x -O --file=$CWD/$SRCNAM-$VERSION.gem data.tar.gz \
+ | tar -xz -C $PKG/usr/doc/$PRGNAM-$VERSION --file=- \
+ README.md
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/ruby/rubygem-ruumba/rubygem-ruumba.info b/ruby/rubygem-ruumba/rubygem-ruumba.info
new file mode 100644
index 0000000000..cf91bdc4ed
--- /dev/null
+++ b/ruby/rubygem-ruumba/rubygem-ruumba.info
@@ -0,0 +1,10 @@
+PRGNAM="rubygem-ruumba"
+VERSION="0.1.5"
+HOMEPAGE="https://github.com/ericqweinstein/ruumba"
+DOWNLOAD="https://rubygems.org/downloads/ruumba-0.1.5.gem"
+MD5SUM="a0e1267579f66d30d4ae1f4f2ca6a587"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="rubygem-rubocop"
+MAINTAINER="Andrew Clemons"
+EMAIL="andrew.clemons@gmail.com"
diff --git a/ruby/rubygem-ruumba/slack-desc b/ruby/rubygem-ruumba/slack-desc
new file mode 100644
index 0000000000..c45e0424ae
--- /dev/null
+++ b/ruby/rubygem-ruumba/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+rubygem-ruumba: rubygem-ruumba (RuboCop linting for ERB templates)
+rubygem-ruumba:
+rubygem-ruumba: Ruumba is RuboCop's sidekick, allowing you to lint your .erb Rubies
+rubygem-ruumba: as well as your regular-type ones.
+rubygem-ruumba:
+rubygem-ruumba: https://github.com/ericqweinstein/ruumba
+rubygem-ruumba:
+rubygem-ruumba:
+rubygem-ruumba:
+rubygem-ruumba:
+rubygem-ruumba: